%global momorel 1
%define real_name IO-AIO

Summary:	Asynchronous Input/Output
Name:		perl-IO-AIO
Version:	3.07
Release:	%{momorel}m%{?dist}
License:	Artistic or GPL
Group:		Development/Libraries
URL:		http://search.cpan.org/~mlehmann/IO-AIO/
Source0:	http://www.cpan.org/modules/by-module/IO/IO-AIO-%{version}.tar.gz
NoSource:	0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
This module implements asynchronous I/O using whatever means your operating
system supports.


%prep
%setup -q -n %{real_name}-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor destdir="%{buildroot}"
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__rm} -f %{buildroot}%{perl_archlib}/perllocal.pod \
           %{buildroot}%{perl_vendorarch}/auto/*/*/.packlist


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-, root, root, 0755)
%doc Changes COPYING README
%dir %{perl_vendorarch}/IO/
%{perl_vendorarch}/IO/AIO.pm
#%{perl_vendorarch}/IO/autoconf.pm
%dir %{perl_vendorarch}/auto/IO/
%{perl_vendorarch}/auto/IO/AIO/
%{_mandir}/man3/*


%changelog
* Mon Aug 25 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.07-1m)
- update to 3.07

* Wed Jul 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.06-1m)
- update to 3.06

* Fri Jun 20 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.05-1m)
- update to 3.05

* Wed Jun 18 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.04-1m)
- update to 3.04

* Mon Jun  2 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.03-1m)
- update to 3.03

* Tue May 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.02-1m)
- update to 3.02

* Sun Apr 27 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.62-1m)
- update to 2.62

* Fri Apr 18 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.61-1m)
- update to 2.61

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6-2m)
- rebuild against gcc43

* Tue Apr  1 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.6-1m)
- update to 2.6

* Sun Oct  7 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.51-1m)
- update to 2.51

* Fri Oct  5 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.5-1m)
- update to 2.5

* Tue Sep 25 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.41-1m)
- update to 2.41

* Sun Aug 12 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.4-1m)
- update to 2.4

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (2.33-2m)
- use vendor

* Thu Mar 22 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.33-1m)
- import to Momonga from freshrpms.net

* Wed Apr 19 2006 Matthias Saou <http://freshrpms.net/> 1.73-1
- Initial RPM release.
- Not sure if the autoconf.pm should be included or not...

